<?php

namespace App\Enum\Communication;

enum PhoneNumberTypeSlug: string {
    case ClientLine = 'client';
    case ExternalLine = 'evidence';
    case MainInbound = 'main_inbound';

    public function label(): string {
        return match ($this) {
            self::ClientLine => 'Client Line',
            self::ExternalLine => 'Evidence Line',
            self::MainInbound => 'Main Inbound',
        };
    }
}